Bug 156173 - [patch] security/nettle update to 2.1
Summary: [patch] security/nettle update to 2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-04 14:50 UTC by Hirohisa Yamaguchi
Modified: 2011-04-27 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.65 KB, patch)
2011-04-04 14:50 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2011-04-04 14:50:08 UTC
	The new version of security/nettle 2.1 is available.
	Announcement: http://lists.lysator.liu.se/pipermail/nettle-bugs/2010/002040.html

	The latest stable release of GnuTLS requires this version.

Fix: The patch follows:
	  lang/pike78 and sysutils/rdup look dependent; revision bump might be needed.
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2011-04-04 14:50:52 UTC
Maintainer of security/nettle,

Please note that PR ports/156173 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156173

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-04-04 14:50:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Charlie Kester 2011-04-04 17:55:52 UTC
Cf. PR 149361

When this came up before, it looked like nettle 2.1 is incompatible with
the current versions of rdup and pike78.  Since there were no other
ports that depended on nettle, we have been waiting for the upstream
authors to update their software to use the newer version.

But now, since there is apparently a third port depending on nettle --
and one that will probably be used more often! --  we'll have to take
another look at rdup and pike78, to see if they can use nettle 2.1.

It might be necessary to create seperate ports for nettle20 and
nettle21.
Comment 4 Johan van Selst freebsd_committer 2011-04-09 10:49:08 UTC
Charlie Kester wrote:
> Cf. PR 149361
> When this came up before, it looked like nettle 2.1 is incompatible with
> the current versions of rdup and pike78.  Since there were no other
> ports that depended on nettle, we have been waiting for the upstream
> authors to update their software to use the newer version.

I had asked (and hoped) that the Pike authors would pick this up and
create a fix. Unfortunately, they have shown little interest so far.

As Pike 7.8 does include an old Nettle 1.5 library in the distribution,
I shall prepare a patch for Pike to use this version instead of the
standard FreeBSD port for Nettle, thus removing the existing dependency.
It should then be simple to update the Nettle port without affecting
Pike.


Regards,
Johan
Comment 5 dfilter service freebsd_committer 2011-04-09 11:08:41 UTC
johans      2011-04-09 10:08:28 UTC

  FreeBSD ports repository

  Modified files:
    lang/pike78          Makefile distinfo 
  Log:
  - Remove Pike 7.8 dependency on the Nettle port,
    in preparation of a Nettle upgrade to an incompatible version
    use the old bundled files instead (based on Nettle 1.5)
  - Bump PORTREVISION
  - While here, remove MD5 checksum
  
  PR:             ports/156173
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  
  Revision  Changes    Path
  1.16      +2 -2      ports/lang/pike78/Makefile
  1.4       +0 -1      ports/lang/pike78/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Charlie Kester 2011-04-14 21:42:30 UTC
Now that pike78 no longer depends on nettle, I approve this update.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2011-04-17 02:00:38 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 8 dfilter service freebsd_committer 2011-04-27 20:02:08 UTC
johans      2011-04-27 19:01:59 UTC

  FreeBSD ports repository

  Modified files:
    security/nettle      Makefile distinfo pkg-plist 
  Log:
  - Update nettle to 2.1 release [1]
    The latest stable release of GnuTLS requires this version.
    This includes a shared library bump
  - Grab maintainership for myself (to catch any issues that may arise)
  
  PR:             ports/156173 [1]
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  Approved by:    Charlie Kester <corky1951@comcast.net> (old maintainer)
  
  Revision  Changes    Path
  1.28      +6 -3      ports/security/nettle/Makefile
  1.10      +2 -3      ports/security/nettle/distinfo
  1.12      +6 -4      ports/security/nettle/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Johan van Selst freebsd_committer 2011-04-27 20:02:58 UTC
State Changed
From-To: open->closed

Committed, thanks.